$ErrorActionPreference = 'Stop'

$packageArgs = @{
  packageName    = 'opentoonz'
  fileType       = 'exe'
  url            = 'https://github.com/opentoonz/opentoonz/releases/download/v1.0.2/OpenToonzSetup.exe'
  softwareName   = 'OpenToonz'
  checksum       = '3A5EE8F867296388638CD643C7E3A3FE0D5248A55A6C7357F458F7AAEBD23CD8'
  checksumType   = 'sha256'
  silentArgs     = "/VERYSILENT /NORESTART /RESTARTEXITCODE=3010 /SUPPRESSMSGBOXES /SP- /LOG=`"$($env:TEMP)\$($env:chocolateyPackageName).$($env:chocolateyPackageVersion).InnoInstall.log`""
  validExitCodes = @(0)
}

Install-ChocolateyPackage @packageArgs